%define module_name libnet

Name: perl-%module_name
Version: 1.12
Release: alt2
Serial: 1

Summary: Libnet module for perl (Networking_Devices_IPC/Net)
Group: Development/Perl
Url: http://www.cpan.org/modules/by-module/Net/
License: GPL or Artistic

BuildArch: noarch

Source0: http://www.perl.com/CPAN/modules/by-module/Net/%module_name-%version.tar.bz2
Patch0: perl-libnet-nointeractive.patch.bz2

BuildRequires: perl-devel

%description
libnet is a collection of Perl modules which provides a simple
and consistent programming interface (API) to the client side
of various protocols used in the internet community.

For details of each protocol please refer to the RFC. RFC's
can be found a various places on the WEB, for a staring
point look at:

    http://www.yahoo.com/Computers_and_Internet/Standards/RFCs/

The RFC implemented in this distribution are

Net::FTP 	RFC959		File Transfer Protocol
Net::SMTP	RFC821		Simple Mail Transfer Protocol
Net::Time	RFC867		Daytime Protocol
Net::Time	RFC868		Time Protocol
Net::NNTP	RFC977		Network News Transfer Protocol
Net::POP3	RFC1939		Post Office Protocol 3
Net::SNPP	RFC1861		Simple Network Pager Protocol

The distribution also contains a module (Net::PH) which facilitates
comunicate with with servers using the CCSO Nameserver Server-Client
Protocol.

%prep
%setup -q -n libnet-%version
%patch0 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/Net
%perl_vendor_man3dir/*

%changelog
* Sat Oct 26 2002 Alexey Tourbin <at@altlinux.ru> 1:1.12-alt2
- rebuilt for perl-5.8 with new rpm macros

* Thu Jun 13 2002 Stanislav Ievlev <inger@altlinux.ru> 1.12-alt1
- 1.12

* Wed Mar 27 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0901-alt1
- 1.0901

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.0703-ipl3mdk
- Rebuilt with perl-5.6.1

* Mon Jan 29 2001 Mikhail Zabaluev <zabaluev@parascript.com> 1.0703-ipl2mdk
- Changed:
  + skipping 'make test' due to its dependancy on network environment

* Sun Jan 28 2001 Mikhail Zabaluev <zabaluev@parascript.com> 1.0703-ipl1mdk
- Changed:
  + adapted spec for Sisyphus

* Tue Jun 27 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.0703-3mdk_mhz
- fixed .packlist and RPM filelist
- ExclusiveArch: noarch

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0703-2mdk
- Don't ask interactive questions.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0703-1mdk
- 1.0703
- fixed group
- rebuild with new perl
- fixed location

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 1.0607-1mdk
- upgraded to 1.0607

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
